Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.transport
Class PMessageReceiptImpl

    java.lang.Object
      rice.pastry.transport.PMessageReceiptImpl

All Implemented Interfaces:
  MessageRequestHandle<NodeHandle,Message>, Cancellable, PMessageReceipt

    public class PMessageReceiptImpl

extends java.lang.Object
implements PMessageReceipt

Constructor Summary
`PMessageReceiptImpl(Message msg, java.util.Map<java.lang.String,java.lang.Object> options)`

Method Summary
`boolean` | `cancel()` The synchronization code here must do the following: cancel/setInternal can be called on any thread at any time if both cancel and setInternal are called, then internal.cancel() is called the first time the second call is made.
`NodeHandle` | `getIdentifier()`
`MessageRequestHandle<NodeHandle,RawMessage>` | `getInternal()`
`Message` | `getMessage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`boolean` | `isCancelled()`
`void` | `setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)` See synchronization note on cancel()
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PMessageReceiptImpl

    public PMessageReceiptImpl(Message msg,
                               java.util.Map<java.lang.String,java.lang.Object> options)

Method Detail

### getIdentifier

    public NodeHandle getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getIdentifier` in interface `PMessageReceipt`

### getMessage

    public Message getMessage()

  Specified by:
    `getMessage` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getMessage` in interface `PMessageReceipt`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getOptions` in interface `PMessageReceipt`

### cancel

    public boolean cancel()

  The synchronization code here must do the following: cancel/setInternal can be called on any thread at any time if both cancel and setInternal are called, then internal.cancel() is called the first time the second call is made. cannot hold a lock while calling internal.cancel() can cancel be called off of the selector?

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it has been cancelled for sure, false if it may/may-not be cancelled

### setInternal

    public void setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)

  See synchronization note on cancel()

  Parameters:
    `name` -

### getInternal

    public MessageRequestHandle<NodeHandle,RawMessage> getInternal()

### isCancelled

    public boolean isCancelled()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.